//
//  YHFriendListModel.swift
//  galaxy
//
//  Created by edy on 2024/6/24.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit
import SmartCodable

class YHFriendListModel: SmartCodable {
    var friends: [YHFriendModel] = []
    var applyFriends: [YHFriendModel] = []
    
    enum CodingKeys: String, CodingKey {
        case friends
        case applyFriends = "apply_friends"
    }
    
    required init() {
        
    }
}

class YHFriendModel: SmartCodable {
    var id: Int = 0
    var yhId: String = ""
    var username: String = ""
    var avatar: String = ""
    var position: String = ""
    var industry: String = ""
    var bio: String = ""
    var isSign: Bool = false
    var verifyInfo: String = ""
    var signature: String = ""
    
    required init() {
        
    }

    enum CodingKeys: String, CodingKey {
        case id
        case yhId = "yh_id"
        case username, avatar, position, industry, bio, signature
        case isSign = "is_sign"
        case verifyInfo = "verify_info"
    }
}
